import { tap, expect } from '../../ts_tapbundle/index.js';
import * as fs from 'fs';

// Test to demonstrate parallel execution timing - run with glob pattern
// This will give us a clear view of execution order with timestamps

const timestamp = () => new Date().toISOString().substr(11, 12);

tap.test('demo test in main file', async (toolsArg) => {
  console.log(`[${timestamp()}] Test parallel demo started`);
  await toolsArg.delayFor(1000);
  console.log(`[${timestamp()}] Test parallel demo completed`);
  expect(true).toBeTrue();
});

tap.start();